/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", 'swiper'], function ($, template, Tools, swiper) {
    //数据存储
    var module = {
        data: {
            //服务器地址
            serverApi:'',
            //焦点图数据
            focusList: [],
            //焦点图数据
            focusListTop: [],
            //底部焦点图
            focusListNext:[],
            //新闻资讯数据
            newsInformationList: [],
            //政策法规数据
            policiesRegulationsList: [],
            //交易规则数据
            tradingRulesList: [],
            //资料下载数据
            dataDownloadList: [],
            //标的物所在地
            deptLocationList:[],
            //标的物类型
            deptTypeList:[],
            //网站配置信息
            webConfigInformationList:[],
            //底部友情链接
            friendsLinksList:[],
            //土地林地四荒地数据
            landListList:[],
            //集体资产数据
            collectiveAssetsList:[],
            //小型水利设施数据
            waterConservancyFacilitiesList:[],
            //农业生产设备数据
            productionEquipmentList:[],
            //交易项目总浏览次数
            allViewCountList:[],
            //成交公示数据
            announcementListList:[],
            //鉴证公告数据
            attestationList:[],
            //供应列表
            supplyDemandList:[],
            //需求列表
            supplyDemand2List:[]
        },
        //柱状图参数
        option: {
            xAxis: {
                type: 'category',
                axisLine: {
                    show: true,
                    lineStyle: {
                        width: 1,
                        type: "solid"
                    }
                },
                axisLabel: { //设置x轴的字
                    show: true,
                    interval: 0,//使x轴横坐标全部显示
                    textStyle: {//x轴字体样式
                        margin: 15
                    }
                },
                data: []
            },
            yAxis: {
                type: 'value',
                min: 400,
                max: 1000,
                splitNumber: 7,
                splitLine: {
                    lineStyle: {
                        type: 'dashed'
                    }
                },
                axisLine: {
                    show: true,
                    lineStyle: {
                        width: 1,
                        type: "solid"
                    }
                },

            },
            series: [{
                data: [],//实际值减300
                type: 'bar',
                itemStyle: {
                    color: '#007b76'
                }
            }],
            grid: {
                height: 200,
                width: 230,
                top: '-5px'
            },
            tooltip: {
                trigger: "axis",
                axisPointer: {
                    // 坐标轴指示器，坐标轴触发有效
                    type: "shadow", // 默认为直线，可选为：'line' | 'shadow'
                },
            },
        }
    };
    var tools = new Tools();

    module.init = function (page) {
        //获取焦点图信息
        tools.doGet(websitePicture, {picType:1,status:0,orderByColumn:'picSort',isAsc:'desc'}, module.focusNewsTop , true);
        //获取焦点图信息
        tools.doGet(websitePicture, {picType:2,status:0,orderByColumn:'picSort',isAsc:'desc'}, module.focusNewsPC , true);

        //获取焦点图信息
        tools.doGet(websiteNew + '/1/0/4', {}, module.focusNews , true);

        //新闻资讯
        tools.doGet(websiteNew + '/2/0/6', {}, module.NewsInformation , true);

        //政策法规
        tools.doGet(websiteNew + '/3/0/6', {}, module.policiesRegulations , true);

        //交易规则
        tools.doGet(websiteNew + '/4/0/6', {}, module.tradingRules , true);

        //资料下载
        tools.doGet(websiteNew + '/5/0/6', {}, module.dataDownload, true);

        //标的物所在地
        // tools.doGet(webDept, {deptId:''}, module.deptLocation , true);

        //标的物类型
        tools.doGet(webDeptType+"/project_type", {}, module.deptType, true);

        //标的物类型下拉菜单
        // tools.doGet(webDeptType+"/project_type", {}, module.deptTypeSelect, true);

        //网站配置信息（网站名称 底部联系方式 公安备案号 网站备案号）
        tools.getWebConfig();

        //底部友情链接
        tools.doGet(friendsLinks, {}, module.bottomFriendsLinks, true);

        //供应项目
        tools.doGet(itemsList, {projectNumber:'',pageSize:'5',pageNum:'1'}, module.itemList, true);

        //需求项目
        tools.doGet(needProjectList, {projectNumber:'',pageSize:'5',pageNum:'1'}, module.itemLists, true);

        //农业生产设备
        // tools.doGet(webListing + '/9/0/5', {}, module.productionEquipment, true);

        //小型水利设施
        // tools.doGet(webListing + '/8/0/5', {}, module.waterConservancyFacilities, true);

        //查询交易项目浏览总次数
        // tools.doGet(allViewCount + '/100', {}, module.allViewCount, true);

        //查询交易项目浏览总次数
        tools.doGet(announcementList + '/0/4', {}, module.announcementList, true);

        //查询交易项目浏览总次数
        tools.doGet(biddingHallList + '/0/100', {}, module.biddingHallList, true);

        //查询交易项目浏览总次数
        tools.doGet(attestationList + '/0/5', {}, module.attestationList, true);

        //个人供求
        tools.doGet(supplyDemand + '/100/1/5', {}, module.supplyDemand, true);

        tools.doGet(supplyDemand + '/100/2/5', {}, module.supplyDemand2, true);

        //互动交流
        tools.doGet(communicateList + '/100/5/notnull', {}, module.communicateList, true);

        //土地挂牌价格走势统计图
        // tools.doGet(statistics, {deptId: 100}, module.statisticsContent, true);

        //竞价大厅-滚动
        module.hallRolling();
        setTimeout(function(){
            //主题图片切换
            module.switchTheme();
        },500)

    };

    //主题图片切换
    module.switchTheme = function(){
        if(themeColor == 'red'){
            document.getElementById('centerBanner').src = './static/images/centerBanner_red.jpg'
            document.getElementById('bannerBottom').src = './static/images/bannerBottom_red.jpg'
        }else if(themeColor == 'green'){
            document.getElementById('centerBanner').src = './static/images/centerBanner.jpg'
            document.getElementById('bannerBottom').src = './static/images/bannerBottom.jpg'
        }
    }

    //焦点图数据
    module.focusNewsTop = function (data) {

        if (data.code == 200) {

            let focusArray = [];

            if(data.data.length<1){
                focusArray.push({
                    picUrl:'../static/images/banner1.png'
                },{
                    picUrl:'../static/images/banner2.png'
                },{
                    picUrl:'../static/images/banner3.png'
                })
            }else{
                data.data.forEach(res=>{
                    focusArray.push({
                        picUrl:'/api'+res.picUrl
                    })
                })
            }

            module.data.focusListTop = focusArray;
            var bannerFocusDataTop = template('bannerFocusDataTop', module.data);
            $("#bannerFocusTopContent").html(bannerFocusDataTop);

            new Swiper('#bannerFocusWrapTop', {
                paginationClickable: true,
                autoplay : 4000,
                loop:true
            })

        }

    }

    //焦点图数据
    module.focusNewsPC = function (data) {
        if (data.code == 200) {
            module.data.focusListPC = data.data;
            var bannerFocusDataPC = template('bannerFocusDataPC', module.data);
            $("#bannerFocusPCContent").html(bannerFocusDataPC);
        }
    }

    //焦点图数据
    module.focusNews = function (data) {
        if (data.code == 200) {
            var content = data.data;
            var focusList = [];
            for (var i = 0; i < content.length; i++) {
                var imgStrs = content[i].content.match(/<img.*?>/g)
                var title = content[i].title;
                var id = content[i].id;
                if (imgStrs != null && imgStrs != '') {
                    focusList.push({img:imgStrs[0],title:title,id:id})
                }
            }
            //console.log(focusList)
            module.data.focusList = focusList;
            var bannerFocusData = template('bannerFocusData', module.data);
            $("#bannerFocusContent").html(bannerFocusData);
            new Swiper('#bannerFocusWrap', {
                pagination: '.page-pagination',
                paginationClickable: true,
                autoplay : 2000,
                loop:true
            })

        }
    }

/*    经检查，这没用上，先注释掉
    module.statisticsContent = function(data){
        //console.log(module.option)
        //console.log(data)
        module.data.nowPriceAvg = data.nowPriceAvg;
        module.data.priceRate = data.priceRate;
        var statisticsData = template('statisticsData', module.data);
        $("#statisticsContent").html(statisticsData);
        for (var i = 0 ; i < data.priceAvgList.length ; i++){
            module.option.xAxis.data[i] = data.priceAvgList[i].year
            module.option.series[0].data[i] = data.priceAvgList[i].price
        }
        //  柱状图绘制
        var chartDom = document.getElementById('chart');
        var myChart = echarts.init(chartDom);
        module.option && myChart.setOption(module.option);
    }
    */

    //互动交流
    module.communicateList = function (data) {
        if (data.code == 200) {
            //console.log(data.data)
            var content = data.data;
            module.data.communicateList = content;
            var communicateData = template('communicateData', module.data);
            $("#communicateContent").html(communicateData);
        }
    }

    //新闻资讯数据
    module.NewsInformation = function (data) {
        if (data.code == 200) {
            var content = data.data;
            //console.log(content)
            module.data.newsInformationList = content;
            var NewsInformationData = template('NewsInformationData', module.data);
            $("#NewsInformationContent").html(NewsInformationData);
        }
    }

    //政策法规
    module.policiesRegulations = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.policiesRegulationsList = content;
            var policiesRegulationsData = template('policiesRegulationsData', module.data);
            $("#policiesRegulationsContent").html(policiesRegulationsData);
        }
    }

    //交易规则
    module.tradingRules = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.tradingRulesList = content;
            var tradingRulesData = template('tradingRulesData', module.data);
            $("#tradingRulesContent").html(tradingRulesData);
        }
    }

    //资料下载
    module.dataDownload = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.dataDownloadList = content;
            var dataDownloadData = template('dataDownloadData', module.data);
            $("#dataDownloadContent").html(dataDownloadData);
        }
    }

    //标的物所在地
    module.deptLocation = function (data) {
        //console.log(data)
        if (data.code == 200) {
            var content = data.data ;
            var contentList = [];
            for (var i = 0 ; i < 5&&i<content.length ; i++){
                contentList[i] = content[i];
            }
            module.data.deptLocationList = contentList;
            var deptLocationData = template('deptLocationData', module.data);
            $("#deptLocationContent").html(deptLocationData);
        }
    }

    //标的物类型
    module.deptType = function (data) {
        if (data.code == 200) {
            var content = data.data ;
            // for (var i = 0 ; i < 4 ; i++){
            //     content[i] = data.data[i];
            // }
            module.data.deptTypeList = content;
            var deptTypeData = template('deptTypeData', module.data);
            $("#deptTypeContent").html(deptTypeData);

            module.data.deptTypeList1 = content;
            var deptTypeData1 = template('deptTypeData1', module.data);
            $("#deptTypeContent1").html(deptTypeData1);
        }
    }

    //网站配置信息
    module.webConfigInformation = function (data) {
        if (data.code == 200) {
            var content = data.data;
            //console.log(content)
            $("#webConfigName").html(content[0].configValue);
            $("#webConfigRecord").html(content[1].configValue + content[2].configValue);
            $("#webConfigAddress").html(content[0].configValue+'&nbsp;'+content[3].configValue);
        }
    }

    //查询交易项目浏览总次数
    module.allViewCount = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.allViewCountList = content.toString().split("");
            var allViewCountData = template('allViewCountData', module.data);
            $("#allViewCount").html(allViewCountData);
        }
    }

    //底部友情链接
    module.bottomFriendsLinks = function (data) {
        if (data.code == 200) {
            var content = data.data;
            //console.log(content)
            module.data.friendsLinksList = content;
            var friendsLinksData = template('friendsLinksData', module.data);
            $("#friendsLinksContent").html(friendsLinksData);
        }
    }

    //土地林地四荒地
    module.landList = function (data) {
        if (data.code == 200) {
            module.data.serverApi = serverApi;
            var content = data.data;
            for (let i = 0 ; i < 5 ; i++){
                if (content[i]==undefined){
                    module.data.landListList.push({
                        projectShowStatus:'',
                        projectName :'',
                        price :'',
                        unit :'',
                        outName :'',
                        signupStopTime :'',
                        biddingStopTime :'',
                        locationName:'',
                    });
                }else{
                    module.data.landListList.push(content[i]);
                }
            }
            // module.data.landListList = content;
            var landListData = template('landListData', module.data);
            $("#landListContent").html(landListData);
        }
    }

    module.itemList = function (data) {
        if (data.code == 200) {
            //console.log(data)
            module.data.serverApi = serverApi;
            var content = data.rows;
            for (let i = 0 ; i < 5 ; i++){
                if (content[i]==undefined){
                    module.data.landListList.push({
                        projectShowStatus:'',
                        projectName :'',
                        price :'',
                        unit :'',
                        outName :'',
                        signupStopTime :'',
                        biddingStopTime :'',
                        locationName:'',
                    });
                }else{
                    module.data.landListList.push(content[i]);
                }
            }
            // module.data.landListList = content;
            var landListData = template('landListData', module.data);
            $("#landListContent").html(landListData);
        }
    }

    module.itemLists = function (data) {
        if (data.code == 200) {
            //console.log(data)
            module.data.serverApi = serverApi;
            var content = data.rows;

            for (let i = 0 ; i < 5 ; i++){

                //console.log(content[i])
                if (content[i]==undefined){
                    //console.log('aaaaaaaaaa')
                    module.data.collectiveAssetsList.push({
                        id :'',
                        projectName :'',
                        price :'',
                        needname :'',
                        needStartTime :'',
                        needStopTime :'',
                        phone:'',
                    });
                }else{
                    module.data.collectiveAssetsList.push(content[i]);
                }

            }

            // module.data.collectiveAssetsList = content;
            var collectiveAssetsData = template('collectiveAssetsData', module.data);
            $("#collectiveAssetsContent").html(collectiveAssetsData);
        }
    }

    //土地林地四荒地
    goListingChange = function (id) {
        module.data.landListList = [];
        $('#deptTypeContent').children('span').removeClass('active') ;
        document.getElementById('tab'+id).className = 'm-r-20 active';
        if (id == 0){
            tools.doGet(itemsList, {projectNumber:'',pageSize:'5',pageNum:'1'}, module.itemList, true);
        }else{
            //土地
            tools.doGet(webListing + '/'+id+'/0/5', {}, module.landList, true);
        }
    }

    //土地林地四荒地
    goListingChanges = function (id) {
        module.data.collectiveAssetsList = [];
        $('#deptTypeContent1').children('span').removeClass('active');
        document.getElementById('tabs'+id).className = 'm-r-20 active';
        tools.doGet(needProjectList, {projectNumber:id==0?'':id,pageSize:'5',pageNum:'1'}, module.itemLists, true);
    }

    //集体资产
    module.collectiveAssets = function (data) {
        if (data.code == 200) {
            module.data.serverApi = serverApi;
            var content = data.data;
            module.data.collectiveAssetsList = content;
            var collectiveAssetsData = template('collectiveAssetsData', module.data);
            $("#collectiveAssetsContent").html(collectiveAssetsData);
        }
    }

    //小型水利设施
    module.waterConservancyFacilities = function (data) {
        if (data.code == 200) {
            module.data.serverApi = serverApi;
            var content = data.data;
            module.data.waterConservancyFacilitiesList = content;
            var waterConservancyFacilitiesData = template('waterConservancyFacilitiesData', module.data);
            $("#waterConservancyFacilitiesContent").html(waterConservancyFacilitiesData);
        }
    }

    //农业生产设备
    module.productionEquipment = function (data) {
        if (data.code == 200) {
            module.data.serverApi = serverApi;
            var content = data.data;
            module.data.productionEquipmentList = content;
            var productionEquipmentData = template('productionEquipmentData', module.data);
            $("#productionEquipmentContent").html(productionEquipmentData);
        }
    }

    //成交公示列表
    module.announcementList = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.announcementListList = content;
            var announcementListData = template('announcementListData', module.data);
            $("#announcementListContent").html(announcementListData);
        }
    }

    //鉴证公告列表
    module.attestationList = function (data) {
        if (data.code == 200) {
            var content = data.data;
            module.data.attestationList = content;
            var attestationData = template('attestationData', module.data);
            $("#attestationContent").html(attestationData);
        }
    }

    //竞价大厅列表
    module.biddingHallList = function (data) {
        if (data.code == 200) {
            var content = data.data;
            //console.log(content)
            for(var i = 0 ; i < content.length ; i++){
                if(content[i].biddingStopTime == null || content[i].biddingStartTime == null){continue;}
                var endTimes=content[i].biddingStopTime.substring(0,10).split('-');
                var biddingStopTime=endTimes[1]+'/'+endTimes[2]+'/'+endTimes[0]+' '+content[i].biddingStopTime.substring(10,19);

                var startTimes=content[i].biddingStartTime.substring(0,10).split('-');
                var biddingStartTime=startTimes[1]+'/'+startTimes[2]+'/'+startTimes[0]+' '+content[i].biddingStartTime.substring(10,19);

                var nowTime = Date.parse(new Date());
                var leftTime = Date.parse(biddingStopTime)-nowTime;
                var rightTime = Date.parse(biddingStartTime)-nowTime;
                //console.log(biddingStopTime)
                //console.log(leftTime)

                if(leftTime>0){
                    //console.log('进行中')
                    content[i].timeType = '进行中'
                }
                if(leftTime<0){
                    //console.log('已结束')
                    content[i].timeType = '已结束'
                }
                if(rightTime>0){
                    //console.log('未开始')
                    content[i].timeType = '未开始'
                }
            }

            module.data.biddingHallListList = content;
            //console.log(content)
            var biddingHallListData = template('biddingHallListData', module.data);
            $("#biddingHallListContent").html(biddingHallListData);
        }
    }

    ///竞价大厅-滚动
    module.hallRolling = function () {
        var divScroll = document.getElementById('tableList');
        window.onmousewheel = divScroll.onmousewheel = function () { return false }
        module.timeInter(divScroll);
        divScroll.onmouseover = function () {
            clearInterval(time);
        }
        divScroll.onmouseout = function () {
            module.timeInter(divScroll);
        }

    }

    //个人供求
    module.supplyDemand = function (data) {
        if (data.code == 200) {
            //console.log(data)
            var content = data.data;
            for (let i = 0 ; i < 5 ; i++){
                if (content[i]==undefined){
                    module.data.supplyDemandList.push({
                        id:'',
                        projectName:'',
                        logintime:'',
                        phone:'',
                    });
                }else{
                    module.data.supplyDemandList.push(content[i]);
                }
            }
            // module.data.supplyDemandList = content;
            var supplyDemandData = template('supplyDemandData', module.data);
            $("#supply").html(supplyDemandData);
        }
    }

    //个人供求
    module.supplyDemand2 = function (data) {
        if (data.code == 200) {
            //console.log(data)
            var content = data.data;
            for (let i = 0 ; i < 5 ; i++){
                if (content[i]==undefined){
                    module.data.supplyDemand2List.push({
                        id:'',
                        projectName:'',
                        logintime:'',
                        phone:'',
                    });
                }else{
                    module.data.supplyDemand2List.push(content[i]);
                }
            }
            // module.data.supplyDemand2List = content;
            var supplyDemand2Data = template('supplyDemand2Data', module.data);
            $("#demand").html(supplyDemand2Data);
            tools.doGet(supplyDemandRecommend + '/100/5', {}, module.supplyDemandRecommend, true);
        }
    }

    module.supplyDemandRecommend = function(data){
        var focusListNext = module.data.focusListNext;
        for (var i = 0; i < data.data.length; i++) {
            var imgStrs = data.data[i].fileUrl
            if (imgStrs != null && imgStrs != '') {
                focusListNext.push({img:serverApi+imgStrs,title:data.data[i].projectName,id:data.data[i].id})
            }
        }
        //console.log(data)
        module.data.focusListNext = focusListNext;
        var bannerFocusBottomData = template('bannerFocusBottomData', module.data);
        $("#bannerFocusNextContent").html(bannerFocusBottomData);
        new Swiper('#bannerFocusNextWrap', {
            paginationClickable: true,
            pagination: '.a2',
            autoplay : 2000,
            loop:true
        })
    }

    module.supplyImages = function(){
        var focusListNext = module.data.focusListNext;
        //console.log(module.data.supplyDemandList)
        for (var i = 0; i < module.data.supplyDemandList.length; i++) {
            var imgStrs = module.data.supplyDemandList[i].projectContent.match(/<img.*?>/g)
            var title = module.data.supplyDemandList[i].projectName
            if (imgStrs != null && imgStrs != '') {
                focusListNext.push({img:imgStrs[0],title:title})
            }
        }
        for (var i = 0; i < module.data.supplyDemand2List.length; i++) {
            var imgStrs = module.data.supplyDemand2List[i].projectContent.match(/<img.*?>/g)
            var title = module.data.supplyDemand2List[i].projectName
            if (imgStrs != null && imgStrs != '') {
                focusListNext.push({img:imgStrs[0],title:title})
            }
        }
        module.data.focusListNext = focusListNext;
        var bannerFocusBottomData = template('bannerFocusBottomData', module.data);
        $("#bannerFocusNextContent").html(bannerFocusBottomData);
        new Swiper('#bannerFocusNextWrap', {
            pagination: '.page-pagination1',
            paginationClickable: true
        })
    }

    module.timeInter = function (divScroll) {
        time = setInterval(function () {
            var oldTop = divScroll.scrollTop;
            var newTop = oldTop + 1;
            divScroll.scrollTop = newTop;
            var counst = divScroll.scrollHeight - divScroll.scrollTop - divScroll.clientHeight;
            //console.log(counst)
            if (2 > counst) {
                divScroll.scrollTop = 0;
            }
        }, 30)
    }

    //证书查询
    goSearchKeyWord = function(){
        var type = $('input[name="transaction"]:checked').val();
        var searchKeyWord = $('#searchKeyWord').val();
        //console.log($('#searchKeyWord').val())
        //console.log(type)
        if($('#searchKeyWord').val() == '' && type== 'warrant'){
            tools.initDialog('提示', '经营权证编号不可为空', function () {
                return;
            }, '确定')
            return;
        }
        if(type == 'warrant'){
            tools.skip('view/announcement/warrantDetail.html?type='+type+'&searchKeyWord='+searchKeyWord)
        }else{
            tools.skip('view/announcement/announcement.html?type='+type+'&searchKeyWord='+searchKeyWord)
        }
    }

    //项目查询
    searchProject = function(){
        var projectNum = $('#projectNum').val();
        var projectName = $('#projectName').val();
        var deptTypeSelect = $("select[name='deptTypeSelect']").val();
        tools.skip('view/listingItems/itemsList.html?projectCode='+projectNum+'&projectName='+projectName+'&projectNumber='+deptTypeSelect)
    }

    //标的物类型
    module.deptTypeSelect = function (data) {
        if (data.code == 200) {
            //console.log(data);
            var content = data.data ;
            module.data.deptTypeSelectList = content;
            var deptTypeSelectData = template('deptTypeSelectData', module.data);
            $("#deptTypeSelectContent").html(deptTypeSelectData);
        }
    }

    //切换
    tabCheck = function (type) {

        if(type == 'supply'){
            document.getElementById('demand').style.display = 'none';
            document.getElementById('demandBtn').className = '';
        }
        if(type == 'demand'){
            document.getElementById('supply').style.display = 'none';
            document.getElementById('supplyBtn').className = '';
        }
        document.getElementById(type).style.display = 'inline-table';
        document.getElementById(type+'Btn').className = 'active';
    }

    //切换
    tabClick = function (type) {

        document.getElementById('cjgg').style.display = 'none';
        document.getElementById('jzgg').style.display = 'none';
        document.getElementById('cjggBtn').className = '';
        document.getElementById('jzggBtn').className = '';

        document.getElementById(type).style.display = 'block';
        document.getElementById(type+'Btn').className = 'active';
    }

    goDetail = function (id) {
        if (!id)return;
        tools.skip('view/listingItems/itemsDetail.html?id='+id);
    }
    goUserInteract = function () {
        tools.skip('view/user/user.html?type=goInteract')
    }
    goListing = function (clickType,dictSort,dictCode) {
        tools.skip('view/listingItems/itemsList.html?clickType='+clickType+'&dictSort='+dictSort+'&dictCode='+dictCode);
    }

    goAnnouncementList = function (type) {
        tools.skip('view/announcement/announcement.html?type='+type+'&searchKeyWord=');
    }

    goNewList = function () {
        tools.skip('view/new/newList.html');
    }

    goPolicy = function (type) {
        tools.skip('view/policy/policy.html?type='+type);
    }

    goBidding = function(){
        tools.skip('view/bidding/biddingList.html');
    }

    goDemand = function(){
        tools.skip('view/demand/demand.html');
    }

    goInteraction = function(){
        tools.skip('view/interact/interactList.html');
    }
    goInteractSearch = function(){
        tools.skip('view/interact/interactList.html?keyWord='+$('#interactInput').val());
    }
    return module;
});
